package com.njzscloud.common.sichen.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum TaskStatus implements DictStr {
    Waiting("Waiting", "等待调度"),
    Pending("Pending", "排队中"),
    Running("Running", "运行中"),
    Completed("Completed", "已完成"),
    Error("Error", "错误");

    private final String val;

    private final String txt;
}

